#include <qapplication.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qmessagebox.h>
#include "klasse.moc"


MeinWidget::MeinWidget (QWidget *parent=0, const char *name = 0)
  :  QWidget (parent, name)
{
  QLabel *l = new QLabel ("Welche Softwarelizenzen finden Sie gut?", this);
  Q_CHECK_PTR (l);
  l->setGeometry (20, 20, width () / 2, 20);

  q1 = new QCheckBox ("GPL", this);
  Q_CHECK_PTR (q1);
  q1->setGeometry (20, 50, width () / 2, 20);

  q2 = new QCheckBox ("LGPL", this);
  Q_CHECK_PTR (q2);
  q2->setGeometry (20, 70, width () / 2, 20);

  q3 = new QCheckBox ("QPL", this);
  Q_CHECK_PTR (q3);
  q3->setGeometry (20, 90, width () / 2, 20);
  connect (q3, SIGNAL (clicked ()), this, SLOT (do_not ()) );
  
  QPushButton *b = new QPushButton ("Waehlen", this);
  Q_CHECK_PTR (b);
  b->setGeometry (20, 120, width () / 2, 20);
  connect (b, SIGNAL (clicked ()), this, SLOT (vote ()) );
}


void MeinWidget::vote ()
{
  QString s = "Sie moegen: \n";
  if (q1->isChecked ())     s = s + "GPL ";
  if (q2->isChecked ())     s = s + "LGPL ";
  if (q3->isChecked ())     s = s + "QPL ";
  QMessageBox::information (this, "Lizenz", s, "Interessant!");
}

void MeinWidget::do_not ()
{
  if (q3->isChecked ())
    QMessageBox::information (
      this, "Lizenz", 
      "Dies ist keine Lizenz fuer Freie Software",
      "Ich verstehe!");
}



int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    MeinWidget *hallo = new MeinWidget;
    a.setMainWidget( hallo );
    hallo->setCaption ("Wahlen");
    hallo->show();
    return a.exec();
}
